Last modified: 2014-07-09 06:07:30 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20189 - Add checkboxes for revision deletion on Special:Contributions, Special:DeletedContributions, and Special:Undelete
Add checkboxes for revision deletion on Special:Contributions, Special:Delete...
Status: NEW
Product: MediaWiki
Classification: Unclassified
Revision deletion (Other open bugs)
1.20.x
All All
: High enhancement with 2 votes (vote)
: ---
Assigned To: Rohan Rawat
:
: 20629 20927 23738 26215 (view as bug list)
Depends on:
Blocks: revdel SWMT
  Show dependency treegraph
 
Reported: 2009-08-11 23:50 UTC by Mike.lifeguard
Modified: 2014-07-09 06:07 UTC (History)
15 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mike.lifeguard 2009-08-11 23:50:45 UTC
What it says on the tin. This is to match the history page.
Comment 1 Church of emacs 2009-08-12 18:59:13 UTC
There are already checkboxes on Special:Undelete which are used for restoring selected revisions. It'd be good to use them as well for revision-deleting selected revisions.
Comment 2 DerHexer 2009-08-17 16:00:31 UTC
Boxes for Special:Log (e. g. Special:Log/globalauth unless [[bugzilla:18183]] or [[bugzilla:18060]] aren't fixed yet) would be useful, too.
Comment 3 Mike.lifeguard 2009-08-21 15:15:55 UTC
(In reply to comment #2)
> Boxes for Special:Log (e. g. Special:Log/globalauth unless [[bugzilla:18183]]
> or [[bugzilla:18060]] aren't fixed yet) would be useful, too.
> 

This is probably a higher priority from a workflow/usability perspective, as this is the bulk of the work on Meta by far.
Comment 4 Aaron Schulz 2009-09-24 18:04:22 UTC
*** Bug 20629 has been marked as a duplicate of this bug. ***
Comment 5 Aaron Schulz 2009-10-01 18:38:24 UTC
*** Bug 20927 has been marked as a duplicate of this bug. ***
Comment 6 Steve 2010-09-20 11:35:54 UTC
I think this would be a useful addition to the RevDel capabilities
Comment 7 Aaron Schulz 2011-07-22 18:56:25 UTC
*** Bug 23738 has been marked as a duplicate of this bug. ***
Comment 8 Alex Monk 2012-05-08 01:36:02 UTC
Fixed Special:Log in Gerrit change #6904.
Comment 9 Brad Jorsch 2012-05-18 01:27:13 UTC
I see that the Gerrit change has also added useless checkboxes to the log snippets, e.g. when viewing the contributions of a blocked user or when editing a protected page.

Please either restore the old single-revision del/undel links in this context or make the checkboxes useful by adding "Del/undel selected revisions" buttons here too.
Comment 10 Alex Monk 2012-05-18 14:12:50 UTC
I noticed that as well and created Gerrit change #7699 to fix it.
Comment 11 Alex Monk 2012-06-10 19:38:09 UTC
*** Bug 26215 has been marked as a duplicate of this bug. ***
Comment 12 Alex Monk 2012-06-10 20:22:41 UTC
*** Bug 26215 has been marked as a duplicate of this bug. ***
Comment 13 Thehelpfulone 2012-06-10 21:38:04 UTC
Bumping to high priority. Currently Oversighters have to undelete a page to be able to easily suppress multiple revisions on that page. This is a major security risk as there is time from when the page is undeleted to when the check boxes to suppress the revisions are checked and then these revisions are suppressed - during this time the full contents of the page and its history are available for public view.
Comment 14 DerHexer 2012-09-13 12:52:08 UTC
Any news regarding this high priority bug?
Comment 15 Alex Monk 2012-12-25 21:04:01 UTC
Removed Special:Log from the bug subject because that was done.
Comment 16 Nemo 2014-07-02 15:13:38 UTC
(In reply to Alex Monk from comment #15)
> Removed Special:Log from the bug subject because that was done.

It may be useful to point to the changeset where this was done, to serve as example for devs willing to try making a patch.
Comment 17 Alex Monk 2014-07-02 15:52:38 UTC
(Quoting comment #10)
> I noticed that as well and created Gerrit change #7699 to fix it.
Comment 18 Rohan Rawat 2014-07-06 18:06:59 UTC
All three will need some new functions which will be very similar.

My question is should each special page get it's own copy of the function, or should I define these functions in a single file from where it will be called and if so, which class will they come under ?
Comment 19 Alex Monk 2014-07-07 17:13:40 UTC
Obviously it's nice to get things like this done right first time, but when you run into issues like that it's usually okay to just go ahead with either option and any issues should be brought up in code review - rather than sitting on bugzilla waiting.
Comment 20 Rohan Rawat 2014-07-09 06:07:30 UTC
Currently revision delete only accepts revisions from a single page. This works fine for history page and Special:Undelete as they only operate on revision from one page but creates problems for Special:Contributions and Special:DeletedContributions who have multiple revisions from multiple pages.

Does anyone have an idea about what can be done here other than re-writing revision delete ?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links